Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class ConcurrentMethodTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.ConcurrentMethodTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, ConcurrentMethodType<T>

    public class ConcurrentMethodTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, ConcurrentMethodType<T>

This class implements the `concurrent-methodType` xsd type

Original Documentation:

The concurrent-methodType specifies information about a method
of a bean with container managed concurrency.
The optional lock element specifies the kind of concurrency
lock asssociated with the method.
The optional access-timeout element specifies the amount of
time (in a given time unit) the container should wait for a
concurrency lock before throwing an exception to the client.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`ConcurrentMethodTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`ConcurrentMethodTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`AccessTimeoutType<ConcurrentMethodType<T>>` | `accessTimeout()` If not already created, a new `access-timeout` element will be created and returned.
`ConcurrentLockTypeType` | `getLock()` Returns the `lock` element
`java.lang.String` | `getLockAsString()` Returns the `lock` element
`NamedMethodType<ConcurrentMethodType<T>>` | `method()` If not already created, a new `method` element will be created and returned.
`ConcurrentMethodType<T>` | `removeAccessTimeout()` Removes the `access-timeout` element
`ConcurrentMethodType<T>` | `removeMethod()` Removes the `method` element
`ConcurrentMethodType<T>` | `setLock(ConcurrentLockTypeType lock)` If not already created, a new `lock` element with the given value will be created.
`ConcurrentMethodType<T>` | `setLock(java.lang.String lock)` If not already created, a new `lock` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConcurrentMethodTypeImpl

    public ConcurrentMethodTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node)

### ConcurrentMethodTypeImpl

    public ConcurrentMethodTypeImpl(T t,
                                    java.lang.String nodeName,
                                    org.jboss.shrinkwrap.descriptor.spi.Node node,
                                    org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### removeMethod

    public ConcurrentMethodType<T> removeMethod()

  Removes the `method` element

  Specified by:
    `removeMethod` in interface `ConcurrentMethodType<T>`
  Returns:
    the current instance of `ConcurrentMethodType`

### method

    public NamedMethodType<ConcurrentMethodType<T>> method()

  If not already created, a new `method` element will be created and returned. Otherwise, the existing `method` element will be returned.

  Specified by:
    `method` in interface `ConcurrentMethodType<T>`
  Returns:
    the node defined for the element `method`

### setLock

    public ConcurrentMethodType<T> setLock(ConcurrentLockTypeType lock)

  If not already created, a new `lock` element with the given value will be created. Otherwise, the existing `lock` element will be updated with the given value.

  Specified by:
    `setLock` in interface `ConcurrentMethodType<T>`
  Returns:
    the current instance of `ConcurrentMethodType`

### setLock

    public ConcurrentMethodType<T> setLock(java.lang.String lock)

  If not already created, a new `lock` element with the given value will be created. Otherwise, the existing `lock` element will be updated with the given value.

  Specified by:
    `setLock` in interface `ConcurrentMethodType<T>`
  Returns:
    the current instance of `ConcurrentMethodType`

### getLock

    public ConcurrentLockTypeType getLock()

  Returns the `lock` element

  Specified by:
    `getLock` in interface `ConcurrentMethodType<T>`
  Returns:
    the node defined for the element `lock`

### getLockAsString

    public java.lang.String getLockAsString()

  Returns the `lock` element

  Specified by:
    `getLockAsString` in interface `ConcurrentMethodType<T>`
  Returns:
    the node defined for the element `lock`

### removeAccessTimeout

    public ConcurrentMethodType<T> removeAccessTimeout()

  Removes the `access-timeout` element

  Specified by:
    `removeAccessTimeout` in interface `ConcurrentMethodType<T>`
  Returns:
    the current instance of `ConcurrentMethodType`

### accessTimeout

    public AccessTimeoutType<ConcurrentMethodType<T>> accessTimeout()

  If not already created, a new `access-timeout` element will be created and returned. Otherwise, the existing `access-timeout` element will be returned.

  Specified by:
    `accessTimeout` in interface `ConcurrentMethodType<T>`
  Returns:
    the node defined for the element `access-timeout`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD